Subject: Re: RFC: always enable MAC80211_RC_PID?

From: Kalle Valo <[email-masked]>
Date: Mon, 23 Jun 2008 09:57:30 +0300

Luis R. Rodriguez <[email-masked]> writes:

> On Sun, Jun 22, 2008 at 6:25 PM, Adrian Bunk <[email-masked]> wrote:
>> After the scheduled removal of MAC80211_RC_SIMPLE only
>> MAC80211_RC_DEFAULT_PID and MAC80211_RC_DEFAULT_NONE are
>> left as choices.
>>
>> Does MAC80211_RC_DEFAULT_NONE have any userbase serious enough to
>> justify all the constructs made for this case or could we simply
>> always enable MAC80211_RC_PID?
>
> You can currently only get away living without it if you are just
> using iwl3945 or iwl4965 as they provide their own rate control
> algorithms. In the future if other vendor drivers are added with their
> own rate control algorithm this list grows. Disabling PID will save
> you some space only on some embedded platforms. Although currently its
> not evident people would do this I do see this being a reasonable
> option to keep around for later.

I agree with Luis. There is a need for MAC80211_RC_DEFAULT_NONE,
please do not remove it.

-- 
Kalle Valo
--
To unsubscribe from this list: send the line "unsubscribe linux-wireless" in
the body of a message to [email-masked]
More majordomo info at  http://vger.kernel.org/majordomo-info.html